Subject: [PATCH 1/1] mfd: Fix runtime warning caused by duplicate device registration

From: [email-masked] (Lee Jones)
Date: Tue, 03 Jul 2012 14:48:29 +0100

On 03/07/12 14:24, Mark Brown wrote:
> On Tue, Jul 03, 2012 at 02:07:45PM +0100, Lee Jones wrote:
>> On 03/07/12 13:35, Mark Brown wrote:
>
>>> Do we really want to create MFD cells like this (which are really Linux
>>> internal things and might vary if another OS or another version of Linux
>>> changes its internal abstractions) from the device tree?
>
>> We're not creating them. We're merely using current infrastructure.
>
> *Very* recently added infrastructure which caused you to notice this...

No, I mean the MFD method is current infrastructure.

Using it with DT is new, yes.

>> Before, when we probed each device from Device Tree we came up
>> against some fairly major limitations of the Device Tree. As a
>> result, Arnd and I agreed that this was the way to go.
>
> I'm really unconvinced that instnatiating the MFD cells from device tree
> is in general a good idea.

Well it just doesn't work the other way.

>> See c5395e7ed8f16cc7bb72a783de68659db5aed515 for a short description
>> of the troubles we faced.
>
> $ git show c5395e7ed8f16cc7bb72a783de68659db5aed515
> fatal: bad object c5395e7ed8f16cc7bb72a783de68659db5aed515

Sorry, looks live I've rebased since.

5f3fc8adeec9bb12742fbfa777fa1947deda21a2

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog